#
# spec file for package python-pytest-mock
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oldpython python
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-pytest-mock
Version:        1.10.1
Release:        2.1
Summary:        Thin-wrapper around the mock package for easier use with pytest
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pytest-dev/pytest-mock
Source:         https://files.pythonhosted.org/packages/source/p/pytest-mock/pytest-mock-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 36}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
BuildArch:      noarch
%if %{with python2}
BuildRequires:  %{oldpython}-mock
%endif
%ifpython2
Requires:       %{oldpython}-mock
%endif
%python_subpackages

%description
This plugin installs a ``mocker`` fixture which is a thin-wrapper around the patching API
provided by the `mock` package,
but with the benefit of not having to worry about undoing patches at the end
of a test

%prep
%setup -q -n pytest-mock-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONDONTWRITEBYTECODE=1
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version} test_pytest_mock.py

%files %{python_files}
%doc CHANGELOG.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Feb 13 2019 tchvatal@suse.com
- Update to 1.10.1:
  * Fix broken links and update README. Also the code is now formatted using black.
* Sun May  6 2018 arun@gmx.de
- update to version 1.10.0:
  * Add support for the recently added assert_called method in Python
    3.6 and mock-2.0. Thanks @rouge8 for the PR (#115).
* Sat Apr 21 2018 arun@gmx.de
- update to version 1.9.0:
  * Add support for the recently added assert_called_once method in
    Python 3.6 and mock-2.0. Thanks @rouge8 for the PR (#113).
- changes from version 1.8.0:
  * Add aliases for NonCallableMock and create_autospec to
    mocker. Thanks @mlhamel for the PR (#111).
* Sat Mar  3 2018 mimi.vx@gmail.com
- update to 1.7.1
  * fix reading README.rst in setup.py
* Fri Mar  2 2018 chris@computersalat.de
- fix deps for setuptools
* Thu Mar  1 2018 mimi.vx@gmail.com
- update to 1.7.0
  * Drop support for python-2.6 and python-3.3
* Thu Jan 11 2018 tchvatal@suse.com
- Fix building with python3 only available
- Install properly license file/etc
* Wed Oct 11 2017 mpluskal@suse.com
- Update to version 1.6.3:
  * Fix UnicodeDecodeError during assert introspection in
    assert_called_with in Python 2.
  * Provide source package in tar.gz format and remove obsolete
    MANIFEST.in.
  * Fix mocker.resetall() by ignoring mocker objects which don't
    have a resetall method, like for example patch.dict
* Fri Aug 11 2017 tbechtold@suse.com
- Remove python-virtualenv BuildRequires and simplify test
  execution
* Wed Apr  5 2017 jmatejek@suse.com
- update to 1.6.0
  * original assertions now appear in failure message
- shorten summary
- add requirements on mock and pytest
- enable tests
* Thu Mar  9 2017 okurz@suse.com
- Initial singlespec submission
